# ######################################################################
# # COMMON DEFAULTS                                                    #
# ######################################################################

# ----------------------------------------------------------------------
# | PHP                                                                |
# ----------------------------------------------------------------------

PHP: &PHP
    log_errors                  : true
    display_errors              : false
    display_startup_errors      : false

    default_timezone            : 'Europe/Paris'

    need_session                : false
    session_cookie_secure       : false

# ----------------------------------------------------------------------
# | Slim                                                               |
# ----------------------------------------------------------------------

# http://docs.slimframework.com/#Configuration-Overview

Slim: &Slim
    log.enabled                 : true
    log.level                   : DEBUG
    debug                       : false

# ----------------------------------------------------------------------
# | Twig                                                               |
# ----------------------------------------------------------------------

# http://twig.sensiolabs.org/doc/api.html

Twig: &Twig
    cache                       : false
    auto_reload                 : true
    strict_variables            : true

# ----------------------------------------------------------------------
# | Application                                                                |
# ----------------------------------------------------------------------

App: &App
    language_code               : 'en'

    metas:
        title                   : 'Slim 2 Skeleton'
        title_separator         : ' - '
        description             : ""

    google_analytics_id         : ''
    use_google_analytics        : false

    errors: &errors
        send_email              : false
        email_to                : ''
        email_subject           : 'Error'
        email_from              : ''


Bd: &Bd
    
    assinaturaCont: &assinaturaCont
        host                    : '127.0.0.1'
        bancoDb                 : 'son_financas'
        user                    : 'root'
        pass                    : 'root'       

Operadora: &Operadora
      
      id_operadora              : VIVO 


# ######################################################################
# # ENVIRONMENT SPECIFIC                                               #
# ######################################################################

# ----------------------------------------------------------------------
# | Development                                                        |
# ----------------------------------------------------------------------

development:
    PHP:
        <<: *PHP
        display_errors          : true
        display_startup_errors  : true

    Slim:
        <<: *Slim
        debug                   : true

    Twig:
        <<: *Twig

    App:
        <<: *App

    Operadora:
        <<: *Operadora

    Bd: 
        <<: *Bd         

# ----------------------------------------------------------------------
# | Production                                                         |
# ----------------------------------------------------------------------

production:
    PHP:
        <<: *PHP

    Slim:
        <<: *Slim
        log.level               : WARN

    Twig:
        <<: *Twig

    App:
        <<: *App
        use_google_analytics    : true
        errors:
            <<: *errors
            send_email          : true

    Operadora:
        <<: *Operadora

    Bd: 
        <<: *Bd        